#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.6.1
 Author:         Matwachich

 Script Function:
	

#ce ----------------------------------------------------------------------------

#include <ButtonConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#include <Array.au3>

#include "multilangue.au3"

Global $Main_GUI, $L_1, $L_2, $L_3, $B_1, $B_2, $B_Update, $Combo
Global $LangFile = @ScriptDir & "\langue.ini"

_MLng_SetLangFile($LangFile, "Francais")
ConsoleWrite($__MLng_CurrentLangFile & " - " & $__MLng_CurrentLangName & @CRLF)

_BuildGUI()

While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
		Case $B_Update
			_BuildGUI()
		Case $Combo
			_MLng_LangLoad(GuiCtrlRead($Combo))

	EndSwitch
WEnd

Func _BuildGUI()
	#Region ### START Koda GUI section ### Form=
	GuiDelete($Main_GUI)
	$Main_GUI = GUICreate(_MLng_Get("title"), 225, 191, 540, 171)
	$L_1 = GUICtrlCreateLabel(_MLng_Get("I_1"), 24, 24, 90, 17)
	$L_2 = GUICtrlCreateLabel(_MLng_Get("I_2"), 24, 60, 90, 17)
	$B_1 = GUICtrlCreateButton(_MLng_Get("B_1"), 120, 18, 90, 25)
	$B_2 = GUICtrlCreateButton(_MLng_Get("B_2"), 120, 54, 90, 25)
	$B_Update = GUICtrlCreateButton(_MLng_Get("B_Upd"), 72, 156, 75, 19)
	$L_3 = GUICtrlCreateLabel(_MLng_Get("I_3"), 24, 120, 90, 17)
	$Combo = GUICtrlCreateCombo("", 120, 120, 90, 25);, BitOR($CBS_DROPDOWN,$CBS_AUTOHSCROLL))
	GuiCtrlSetData(-1, _MLng_LangList($LangFile, 1))
	GUISetState(@SW_SHOW)
	#EndRegion ### END Koda GUI section ###
EndFunc
